import express from "express";
import cors from "cors";
const app = express();
import ImapSync from "./mails/imap/ImapSync";

app.use(express.json());
app.use(
    express.urlencoded({
        extended: true,
    }),
);
app.use(cors());
app.listen(process.env.PORT || 5500);

import mailRouter from "./routes/mail";
app.use("/api/mail", mailRouter);

const imapSync = new ImapSync();
imapSync.init();
