export function decodeEmojis(text) {
    if (!text) return text;
    const regex = /\\u{([^}]+)}/g;
    const decodedText = text.replace(regex, (_, hex) => String.fromCodePoint(parseInt(hex, 16)));
    return decodedText;
}
